### Method

# Foundry GitVcs stage_entry

#### Declaration [src]

    DexFuture*
    foundry_git_vcs_stage_entry (
      FoundryGitVcs* self,
      FoundryGitStatusEntry* entry,
      GBytes* contents
    )

#### Description

No description available.

#### Parameters

`entry`

  Type: `FoundryGitStatusEntry`

  A `FoundryGitStatusEntry`.

  The data is owned by the caller of the method.

`contents`

  Type: `GBytes`

  Optional contents to use instead of what is in the working tree.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

#### Return value

Type: `DexFuture`

A `DexFuture` that resolves to any value or rejects with error.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.